org.apache.cassandra.io.sstable

## Class SSTableIdentityIterator

- java.lang.Object
- - org.apache.cassandra.io.sstable.SSTableIdentityIterator

All Implemented Interfaces:
  java.lang.AutoCloseable, java.lang.Comparable<SSTableIdentityIterator>, java.util.Iterator<Unfiltered>, BaseRowIterator<Unfiltered>, UnfilteredRowIterator, CloseableIterator<Unfiltered>

    public class SSTableIdentityIterator
    extends java.lang.Object
    implements java.lang.Comparable<SSTableIdentityIterator>, UnfilteredRowIterator

### Field Summary

Fields
`protected SSTableSimpleIterator` `iterator`

### Constructor Summary

Constructors
Constructor and Description
`SSTableIdentityIterator(SSTableReader sstable, DecoratedKey key, DeletionTime partitionLevelDeletion, java.lang.String filename, SSTableSimpleIterator iterator)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `close()`
`PartitionColumns` `columns()` A subset of the columns for the (static and regular) rows returned by this iterator.
`int` `compareTo(SSTableIdentityIterator o)`
`static SSTableIdentityIterator` `create(SSTableReader sstable, FileDataInput dfile, RowIndexEntry<?> indexEntry, DecoratedKey key, boolean tombstoneOnly)`
`static SSTableIdentityIterator` `create(SSTableReader sstable, RandomAccessReader file, DecoratedKey key)`
`protected Unfiltered` `doCompute()`
`java.lang.String` `getPath()`
`boolean` `hasNext()`
`boolean` `isReverseOrder()` Whether or not the rows returned by this iterator are in reversed clustering order.
`CFMetaData` `metadata()` The metadata for the table this iterator on.
`Unfiltered` `next()`
`DecoratedKey` `partitionKey()` The partition key of the partition this in an iterator over.
`DeletionTime` `partitionLevelDeletion()` The partition level deletion for the partition this iterate over.
`Row` `staticRow()` The static part corresponding to this partition (this can be an empty row but cannot be `null`).
`EncodingStats` `stats()` Return "statistics" about what is returned by this iterator.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.cassandra.db.rows.UnfilteredRowIterator

`isEmpty`

### Methods inherited from interface java.util.Iterator

`forEachRemaining, remove`

### Field Detail

#### iterator

    protected final SSTableSimpleIterator iterator

### Constructor Detail

#### SSTableIdentityIterator

    public SSTableIdentityIterator(SSTableReader sstable,
                                   DecoratedKey key,
                                   DeletionTime partitionLevelDeletion,
                                   java.lang.String filename,
                                   SSTableSimpleIterator iterator)
                            throws java.io.IOException

Throws:
  `java.io.IOException`

### Method Detail

#### create

    public static SSTableIdentityIterator create(SSTableReader sstable,
                                                 RandomAccessReader file,
                                                 DecoratedKey key)

#### create

    public static SSTableIdentityIterator create(SSTableReader sstable,
                                                 FileDataInput dfile,
                                                 RowIndexEntry<?> indexEntry,
                                                 DecoratedKey key,
                                                 boolean tombstoneOnly)

#### metadata

    public CFMetaData metadata()

Description copied from interface: `BaseRowIterator`
The metadata for the table this iterator on.

Specified by:
  `metadata` in interface `BaseRowIterator<Unfiltered>`

#### columns

    public PartitionColumns columns()

Description copied from interface: `BaseRowIterator`
A subset of the columns for the (static and regular) rows returned by this iterator. Every row returned by this iterator must guarantee that it has only those columns.

Specified by:
  `columns` in interface `BaseRowIterator<Unfiltered>`

#### isReverseOrder

    public boolean isReverseOrder()

Description copied from interface: `BaseRowIterator`
Whether or not the rows returned by this iterator are in reversed clustering order.

Specified by:
  `isReverseOrder` in interface `BaseRowIterator<Unfiltered>`

#### partitionKey

    public DecoratedKey partitionKey()

Description copied from interface: `BaseRowIterator`
The partition key of the partition this in an iterator over.

Specified by:
  `partitionKey` in interface `BaseRowIterator<Unfiltered>`

#### partitionLevelDeletion

    public DeletionTime partitionLevelDeletion()

Description copied from interface: `UnfilteredRowIterator`
The partition level deletion for the partition this iterate over.

Specified by:
  `partitionLevelDeletion` in interface `UnfilteredRowIterator`

#### staticRow

    public Row staticRow()

Description copied from interface: `BaseRowIterator`
The static part corresponding to this partition (this can be an empty row but cannot be `null`).

Specified by:
  `staticRow` in interface `BaseRowIterator<Unfiltered>`

#### hasNext

    public boolean hasNext()

Specified by:
  `hasNext` in interface `java.util.Iterator<Unfiltered>`

#### next

    public Unfiltered next()

Specified by:
  `next` in interface `java.util.Iterator<Unfiltered>`

#### doCompute

    protected Unfiltered doCompute()

#### close

    public void close()

Specified by:
  `close` in interface `java.lang.AutoCloseable`
Specified by:
  `close` in interface `CloseableIterator<Unfiltered>`

#### getPath

    public java.lang.String getPath()

#### stats

    public EncodingStats stats()

Description copied from interface: `UnfilteredRowIterator`
Return "statistics" about what is returned by this iterator. Those are used for performance reasons (for delta-encoding for instance) and code should not expect those to be exact.

Specified by:
  `stats` in interface `UnfilteredRowIterator`

#### compareTo

    public int compareTo(SSTableIdentityIterator o)

Specified by:
  `compareTo` in interface `java.lang.Comparable<SSTableIdentityIterator>`